# norootforbuild

Name:				 libnxml
Version:			 0.18.3
%define soname 0
Release:			 4.2
Summary:			 XML Parsing Library
# http://www.autistici.org/bakunin/libnxml/libnxml-%{version}.tar.gz
Source:			 libnxml-%{version}.tar.bz2
Patch1:			 libnxml-curl_compat.patch
URL:				 http://www.autistici.org/bakunin/codes.php
Group:			 System/Libraries
License:			 GNU Lesser General Public License version 2.1 or later (LGPL v2.1 or later)
BuildRoot:		 %{_tmppath}/build-%{name}-%{version}
%if 0%{?suse_version} == 0 || 0%{?suse_version} >= 1030
BuildRequires:	 libcurl-devel
%else
BuildRequires:	 curl-devel
%endif
BuildRequires:	 gcc make glibc-devel pkgconfig
BuildRequires:	 autoconf automake libtool
%if 0%{?suse_version} >= 1030
BuildRequires:  licenses
Requires:       licenses
%endif

%description
nXML is a C library for parsing, writing and creating XML 1.0 and 1.1 files or
streams. It supports utf-8, utf-16be and utf-16le, ucs-4 (1234, 4321, 2143,
2312).

%package -n libnxml%{soname}
Summary:			 XML Parsing Library
Group:			 System/Libraries

%description -n libnxml%{soname}
nXML is a C library for parsing, writing and creating XML 1.0 and 1.1 files or
streams. It supports utf-8, utf-16be and utf-16le, ucs-4 (1234, 4321, 2143,
2312).

%package -n libnxml-devel
Summary:			 XML Parsing Library
Group:			 Development/Libraries/C and C++
Requires:		 libnxml%{soname} = %{version}-%{release}
Requires:		 pkgconfig
%if 0%{?suse_version} == 0 || 0%{?suse_version} >= 1030
Requires:		 libcurl-devel
%else
Requires:		 curl-devel
%endif

%description -n libnxml-devel
nXML is a C library for parsing, writing and creating XML 1.0 and 1.1 files or
streams. It supports utf-8, utf-16be and utf-16le, ucs-4 (1234, 4321, 2143,
2312).

%prep
%setup -q
%patch1

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CPPFLAGS="$CFLAGS"
%configure
%__make %{?jobs:-j%{jobs}}

%install
%__make DESTDIR="%{buildroot}" install

%__rm "%{buildroot}%{_libdir}"/*.la

h=/usr/share/doc/licenses/md5/$(md5sum COPYING|cut -f1 -d" ")
test -e "$h" && %__ln_s -f "$h" .

%post   -n libnxml%{soname} -p /sbin/ldconfig
%postun -n libnxml%{soname} -p /sbin/ldconfig

%clean
%__rm -rf "%{buildroot}"

%files -n libnxml%{soname}
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS ChangeLog
%{_libdir}/libnxml.so.%{soname}
%{_libdir}/libnxml.so.%{soname}.*

%files -n libnxml-devel
%defattr(-,root,root)
%{_includedir}/nxml.h
%{_libdir}/libnxml.so
%{_libdir}/libnxml.a
%{_libdir}/pkgconfig/nxml.pc

%changelog
* Wed Feb 17 2010 pascal.bleser@opensuse.org
- add baselibs.conf
- add backwards compatibility patch to build with the curl that is
  shipped with SLES 9
* Wed Feb 17 2010 pascal.bleser@opensuse.org
- new package (0.18.3)
